### Function

# EBookContacts ContactGeo from_string

since: 3.60

#### Declaration [src]

    EContactGeo*
    e_contact_geo_from_string (
      const gchar* latitude,
      const gchar* longitude
    )

#### Description [src]

Creates a new `EContactGeo`, which has set latitude and longitude from the provided strings.

Available since: 3.60

#### Parameters

`latitude`

  Type: `const gchar*`

  A text representation of the latitude.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`longitude`

  Type: `const gchar*`

  A text representation of the longitude.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `EContactGeo`

A new `EContactGeo`, or `NULL`, when cannot convert the `latitude` or `longitude` to a double.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.